## icingadb 1.5.1

=== zap@v1.27.1/Makefile ===
# Directory containing the Makefile.
PROJECT_ROOT = $(dir $(abspath $(lastword $(MAKEFILE_LIST))))

export GOBIN ?= $(PROJECT_ROOT)/bin
export PATH := $(GOBIN):$(PATH)

GOVULNCHECK = $(GOBIN)/govulncheck
BENCH_FLAGS ?= -cpuprofile=cpu.pprof -memprofile=mem.pprof -benchmem

# Directories containing independent Go modules.
MODULE_DIRS = . ./exp ./benchmarks ./zapgrpc/internal/test

# Directories that we want to track coverage for.
COVER_DIRS = . ./exp

.PHONY: all
all: lint test

.PHONY: lint
lint: golangci-lint tidy-lint license-lint

.PHONY: golangci-lint
golangci-lint:
	@$(foreach mod,$(MODULE_DIRS), \
		(cd $(mod) && \
		echo "[lint] golangci-lint: $(mod)" && \
		golangci-lint run --path-prefix $(mod) ./...) &&) true

.PHONY: tidy
tidy:
	@$(foreach dir,$(MODULE_DIRS), \
		(cd $(dir) && go mod tidy) &&) true

.PHONY: tidy-lint
tidy-lint:
	@$(foreach mod,$(MODULE_DIRS), \
		(cd $(mod) && \
		echo "[lint] tidy: $(mod)" && \
		go mod tidy && \
		git diff --exit-code -- go.mod go.sum) &&) true


.PHONY: license-lint
license-lint:
	./checklicense.sh

$(GOVULNCHECK):
	cd tools && go install golang.org/x/vuln/cmd/govulncheck

.PHONY: test
test:
	@$(foreach dir,$(MODULE_DIRS),(cd $(dir) && go test -race ./...) &&) true

.PHONY: cover
cover:
	@$(foreach dir,$(COVER_DIRS), ( \
		cd $(dir) && \
		go test -race -coverprofile=cover.out -coverpkg=./... ./... \
		&& go tool cover -html=cover.out -o cover.html) &&) true

.PHONY: bench
BENCH ?= .
bench:
	@$(foreach dir,$(MODULE_DIRS), ( \
		cd $(dir) && \
		go list ./... | xargs -n1 go test -bench=$(BENCH) -run="^$$" $(BENCH_FLAGS) \
	) &&) true

.PHONY: updatereadme
updatereadme:
	rm -f README.md
	cat .readme.tmpl | go run internal/readme/readme.go > README.md

.PHONY: vulncheck
vulncheck: $(GOVULNCHECK)
	$(GOVULNCHECK) ./...

=== redis/go-redis/v9@v9.17.2/Makefile ===
GO_MOD_DIRS := $(shell find . -type f -name 'go.mod' -exec dirname {} \; | sort)
REDIS_VERSION ?= 8.4
RE_CLUSTER ?= false
RCE_DOCKER ?= true
CLIENT_LIBS_TEST_IMAGE ?= redislabs/client-libs-test:8.4.0

docker.start:
	export RE_CLUSTER=$(RE_CLUSTER) && \
	export RCE_DOCKER=$(RCE_DOCKER) && \
	export REDIS_VERSION=$(REDIS_VERSION) && \
	export CLIENT_LIBS_TEST_IMAGE=$(CLIENT_LIBS_TEST_IMAGE) && \
	docker compose --profile all up -d --quiet-pull

docker.stop:
	docker compose --profile all down

test:
	$(MAKE) docker.start
	@if [ -z "$(REDIS_VERSION)" ]; then \
		echo "REDIS_VERSION not set, running all tests"; \
		$(MAKE) test.ci; \
	else \
		MAJOR_VERSION=$$(echo "$(REDIS_VERSION)" | cut -d. -f1); \
		if [ "$$MAJOR_VERSION" -ge 8 ]; then \
			echo "REDIS_VERSION $(REDIS_VERSION) >= 8, running all tests"; \
			$(MAKE) test.ci; \
		else \
			echo "REDIS_VERSION $(REDIS_VERSION) < 8, skipping vector_sets tests"; \
			$(MAKE) test.ci.skip-vectorsets; \
		fi; \
	fi
	$(MAKE) docker.stop

test.ci:
	set -e; for dir in $(GO_MOD_DIRS); do \
	  echo "go test in $${dir}"; \
	  (cd "$${dir}" && \
	    export RE_CLUSTER=$(RE_CLUSTER) && \
	    export RCE_DOCKER=$(RCE_DOCKER) && \
	    export REDIS_VERSION=$(REDIS_VERSION) && \
	    go mod tidy -compat=1.18 && \
	    go vet && \
	    go test -v -coverprofile=coverage.txt -covermode=atomic ./... -race -skip Example); \
	done
	cd internal/customvet && go build .
	go vet -vettool ./internal/customvet/customvet

test.ci.skip-vectorsets:
	set -e; for dir in $(GO_MOD_DIRS); do \
	  echo "go test in $${dir} (skipping vector sets)"; \
	  (cd "$${dir}" && \
	    export RE_CLUSTER=$(RE_CLUSTER) && \
	    export RCE_DOCKER=$(RCE_DOCKER) && \
	    export REDIS_VERSION=$(REDIS_VERSION) && \
	    go mod tidy -compat=1.18 && \
	    go vet && \
	    go test -v -coverprofile=coverage.txt -covermode=atomic ./... -race \
	      -run '^(?!.*(?:VectorSet|vectorset|ExampleClient_vectorset)).*$$' -skip Example); \
	done
	cd internal/customvet && go build .
	go vet -vettool ./internal/customvet/customvet

bench:
	export RE_CLUSTER=$(RE_CLUSTER) && \
	export RCE_DOCKER=$(RCE_DOCKER) && \
	export REDIS_VERSION=$(REDIS_VERSION) && \
	go test ./... -test.run=NONE -test.bench=. -test.benchmem -skip Example

.PHONY: all test test.ci test.ci.skip-vectorsets bench fmt

build:
	export RE_CLUSTER=$(RE_CLUSTER) && \
	export RCE_DOCKER=$(RCE_DOCKER) && \
	export REDIS_VERSION=$(REDIS_VERSION) && \
	go build .

fmt:
	gofumpt -w ./
	goimports -w  -local github.com/redis/go-redis ./

go_mod_tidy:
	set -e; for dir in $(GO_MOD_DIRS); do \
	  echo "go mod tidy in $${dir}"; \
	  (cd "$${dir}" && \
	    go get -u ./... && \
	    go mod tidy -compat=1.18); \
	done

=== debian/changelog ===
icingadb (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Dec 2025 12:27:02 +0100

=== debian/control ===
Source: icingadb
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-golang,
               dh-sequence-golang,
               golang-any,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/nagios-team/icingadb
Vcs-Git: https://salsa.debian.org/nagios-team/icingadb.git
Homepage: https://icinga.com
XS-Go-Import-Path: github.com/icinga/icingadb

Package: icingadb
Architecture: any
Depends: adduser,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: redis-server,
          postgresql | default-mysql-server
Built-Using: ${misc:Built-Using}
Static-Built-Using: ${misc:Static-Built-Using}
Description: database connector for Icinga 2
 Icinga DB is a set of components for publishing, synchronizing and
 visualizing monitoring data in the Icinga ecosystem, consisting of:
 .
  * The Icinga DB daemon, which synchronizes monitoring data between a
    Redis server and a database.
  * Icinga 2 with its Icinga DB feature enabled, responsible for
    publishing the data to the Redis server, i.e. configuration and its
    runtime updates, check results, state changes, downtimes,
    acknowledgements, notifications, and other events such as flapping.
  * And Icinga Web with the Icinga DB Web module enabled, which connects
    to both Redis and the database to display and work with the most
    up-to-date data.

## icingadb 1.5.1+10.gd0953e5

=== debian/changelog ===
icingadb (1.5.1+10.gd0953e5-1768386973+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.1+10.gd0953e5-1768386973

 -- Icinga GmbH <info@icinga.com>  Wed, 14 Jan 2026 10:37:24 +0000

## icingadb 1.5.1+20.g8c3ff97

=== debian/changelog ===
icingadb (1.5.1+20.g8c3ff97-1769205805+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.1+20.g8c3ff97-1769205805

 -- Icinga GmbH <info@icinga.com>  Fri, 23 Jan 2026 22:03:50 +0000

## icingadb 1.5.1+24.g6400506

=== debian/changelog ===
icingadb (1.5.1+24.g6400506-1770415404+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.1+24.g6400506-1770415404

 -- Icinga GmbH <info@icinga.com>  Fri, 06 Feb 2026 22:03:57 +0000

## icingadb 1.5.1+28.ga395295

=== debian/changelog ===
icingadb (1.5.1+28.ga395295-1771020201+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.1+28.ga395295-1771020201

 -- Icinga GmbH <info@icinga.com>  Fri, 13 Feb 2026 22:03:52 +0000

## icingadb 1.5.1+34.g6ffee4f

=== debian/changelog ===
icingadb (1.5.1+34.g6ffee4f-1771625003+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.1+34.g6ffee4f-1771625003

 -- Icinga GmbH <info@icinga.com>  Fri, 20 Feb 2026 22:03:39 +0000

## icingadb 1.5.1+38.gbed43bd

=== debian/changelog ===
icingadb (1.5.1+38.gbed43bd-1772229809+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.1+38.gbed43bd-1772229809

 -- Icinga GmbH <info@icinga.com>  Fri, 27 Feb 2026 22:03:55 +0000
